# Uses of Enum
com.databricks.jdbc.common.DatabricksClientType

Packages that use DatabricksClientType
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.common
com.databricks.jdbc.dbclient.impl.common

## Uses of DatabricksClientType in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return DatabricksClientType
Modifier and Type
Method
Description
`DatabricksClientType`
DatabricksConnectionContext.`getClientType()`
`DatabricksClientType`
DatabricksConnectionContext.`getClientTypeFromContext()`
Methods in com.databricks.jdbc.api.impl with parameters of type DatabricksClientType
Modifier and Type
Method
Description
`void`
DatabricksConnectionContext.`setClientType(DatabricksClientType clientType)`

## Uses of DatabricksClientType in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return DatabricksClientType
Modifier and Type
Method
Description
`DatabricksClientType`
IDatabricksConnectionContext.`getClientType()`
Methods in com.databricks.jdbc.api.internal with parameters of type DatabricksClientType
Modifier and Type
Method
Description
`void`
IDatabricksConnectionContext.`setClientType(DatabricksClientType clientType)`

## Uses of DatabricksClientType in com.databricks.jdbc.common

Subclasses with type arguments of type DatabricksClientType in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`DatabricksClientType`
Methods in com.databricks.jdbc.common that return DatabricksClientType
Modifier and Type
Method
Description
`static DatabricksClientType`
DatabricksClientType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatabricksClientType[]`
DatabricksClientType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of DatabricksClientType in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that return DatabricksClientType
Modifier and Type
Method
Description
`DatabricksClientType`
SessionId.`getClientType()`
Returns the client-type for the given session-Id